# Interface VolumeControlComponentDependencies

interface VolumeControlComponentDependencies {
componentOptions: VolumeControlComponentOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- UiComponentDependencies
  - VolumeControlComponentDependencies

#####
Index

### Properties

componentOptions
name
type?

## Properties

### componentOptions

componentOptions: VolumeControlComponentOptions

Overrides UiComponentDependencies.componentOptions

### name

name: string

Inherited from UiComponentDependencies.name

### `Optional` type

type?: string

Inherited from UiComponentDependencies.type